summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRobert Gerus <arachnist@i.am-a.cat>2015-02-15 16:55:25 +0100
committerRobert Gerus <arachnist@i.am-a.cat>2015-02-15 16:55:25 +0100
commitb053a0d2529dc3a9bcf3694f17810e08ad00e6ed (patch)
tree6d44a5839b290c1614a79b843c122e942ca58c46
parentc86cef9cf17d5a09bedb162ae163c56eefdfbc15 (diff)
downloadgentoo-overlay-b053a0d2529dc3a9bcf3694f17810e08ad00e6ed.tar.gz
gentoo-overlay-b053a0d2529dc3a9bcf3694f17810e08ad00e6ed.tar.bz2
gentoo-overlay-b053a0d2529dc3a9bcf3694f17810e08ad00e6ed.tar.xz
gentoo-overlay-b053a0d2529dc3a9bcf3694f17810e08ad00e6ed.zip
Import and update openmw
-rw-r--r--games-engines/openmw/ChangeLog34
-rw-r--r--games-engines/openmw/Manifest28
-rw-r--r--games-engines/openmw/files/openmw-0.33.0-cfg.patch14
-rw-r--r--games-engines/openmw/files/openmw-0.33.0-opencs.patch13
-rw-r--r--games-engines/openmw/metadata.xml30
-rw-r--r--games-engines/openmw/openmw-0.34.0.ebuild106
-rw-r--r--profiles/categories1
7 files changed, 226 insertions, 0 deletions
diff --git a/games-engines/openmw/ChangeLog b/games-engines/openmw/ChangeLog
new file mode 100644
index 0000000..f770448
--- /dev/null
+++ b/games-engines/openmw/ChangeLog
@@ -0,0 +1,34 @@
+# ChangeLog for games-engines/openmw
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-engines/openmw/ChangeLog,v 1.6 2015/01/22 16:44:16 hasufell Exp $
+
+ 22 Jan 2015; Julian Ospald <hasufell@gentoo.org> openmw-0.33.0-r2.ebuild:
+ rm cdinstall USE flag wrt #537260
+
+*openmw-0.33.0-r2 (08 Nov 2014)
+
+ 08 Nov 2014; Julian Ospald <hasufell@gentoo.org> -openmw-0.33.0-r1.ebuild,
+ +openmw-0.33.0-r2.ebuild:
+ rm unnecessary cg USE dep on dev-games/ogre wrt #528696
+
+*openmw-0.33.0-r1 (07 Nov 2014)
+
+ 07 Nov 2014; Julian Ospald <hasufell@gentoo.org> -openmw-0.33.0.ebuild,
+ +openmw-0.33.0-r1.ebuild:
+ fix configuration directory detection wrt #528598
+
+ 06 Nov 2014; Julian Ospald <hasufell@gentoo.org> openmw-0.33.0.ebuild:
+ add useful elog
+
+ 06 Nov 2014; Julian Ospald <hasufell@gentoo.org> openmw-0.33.0.ebuild,
+ -files/openmw-0.33.0-build.patch, files/openmw-0.33.0-cfg.patch:
+ rm obsolete patch, tweak cfg patch to be more upstream compatible, fix
+ libsdl2 USE flag deps
+
+*openmw-0.33.0 (06 Nov 2014)
+
+ 06 Nov 2014; Julian Ospald <hasufell@gentoo.org> +openmw-0.33.0.ebuild,
+ +files/openmw-0.33.0-build.patch, +files/openmw-0.33.0-cfg.patch,
+ +files/openmw-0.33.0-opencs.patch, +metadata.xml:
+ initial import wrt #411295
+
diff --git a/games-engines/openmw/Manifest b/games-engines/openmw/Manifest
new file mode 100644
index 0000000..c98cc6c
--- /dev/null
+++ b/games-engines/openmw/Manifest
@@ -0,0 +1,28 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA256
+
+AUX openmw-0.33.0-cfg.patch 338 SHA256 064dee511f54ef063f21eade8dd7d3b13fd9c681fbee42c7ef85572692590f0d SHA512 8217001ee3dd761524e71c155ead3d7bde259a000a38a2edbba1f10c88e8e397992d30f998dd1a47fd44f5b7ea0f7b8b3f258bab28f0d915f98e9b0cad86e5ef WHIRLPOOL ef972affc624a0dacb705588b5b88b502f9a4fa231142cd6d65bfb2faeae18258be07b5ebb9b69c3742d218bdd32ff8d20773bb8cf72dbb0af6248d1f4b4e69d
+AUX openmw-0.33.0-opencs.patch 324 SHA256 82793593651f0eee8486ea518e9170f348c49ef0aa7756c5e7d3a883f0af07b0 SHA512 788d66fce118e889947e7a9a4a5a749e405d39c273045703fa5f270e1b4566a09175e48bd9b065d84b9b8eb60ef76ad1186e2685d2a0ad2f5bbaca07e2396363 WHIRLPOOL 48bf6f917f081a40eb2ca9f4ff2b16e9e255b65703ee2b06ed9487575d0f3aa12756162942ab5fc4980a3f9cb7e0a73f38280f6f98e5a2c4055a4107277461f5
+DIST openmw-0.33.0.tar.gz 3524287 SHA256 62baa03eb206bea760c6b2b0260ae1a942eac34e7439a114398d2101154f4a83 SHA512 96525ee794277284f39a18bbbd01361422273ef073917b5e51ec7951bb15e59e0d0dd39ba70311588d4b18adccffac5c4fed4d9bf9e37ca0e865869277e795f9 WHIRLPOOL ab9df256ff107fcd361a6308c6bcb49aeb5a40289a224173d6d9f883042491c09a1f90af982be257c2e425d8dd1ec44a04025622d41c21c23c9683db182dfd30
+EBUILD openmw-0.33.0-r2.ebuild 2634 SHA256 125a56a296529bbc67133b8c7ec855d0932f0b3f534421f688012a7eb0696b13 SHA512 bdd039d7918073251be4c1ad9d7eeb784d821b7a07de608a71312e4385e614934fd317d41d731ab8275fa3bcf0df017b53edb6032158292e77114ddddfedad41 WHIRLPOOL 219befa0329a14a37a94ff27678e1657d850a3e0afbd048511889495ddcc983743ea1f6373099d341c8a88e6c734612381b50e4b6b00b6f5fa55807000b883cf
+MISC ChangeLog 1297 SHA256 ccd53251654ece1d9deb46f95a83c20f0123938852e8209c8011bf40c0d5ef7b SHA512 7a9de3b6ae266009376f73ad57ed122d699b8ecc60a3735cf805b74091d016762b7c84b0b8fcf50111078368f9fc1cec864e1f4888e77ec90479543676f1f34d WHIRLPOOL 936dab547f842b4233bd51669ad196dbbd20b4468ac031022724a511dce85abf93377a7d9d345025c43b30760246e03d2ffc653d64685a0a094e490c8e91b3db
+MISC metadata.xml 1125 SHA256 7cec4fa3a9e257ea00a5776de3ee5230927804ff96bc3d9a05f75bc4d794d629 SHA512 14da78b996386d420be0aa27ae302ca0bc54e2074d03e0bd4e04f6380105a9e1ac91e6ba565de8c04da8dacbcba88f2b706487c3036ff60aa141cd75d9241730 WHIRLPOOL 808d4881548fea60d99529e4970ac49c711741c47795719c6606b1cc32c08c5d044c546109ae0587b65d17b04162d7015fb4404dca973224ae340460dfccf661
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0
+
+iQJ8BAEBCABmBQJUwSjiXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
+ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXQzMDlCNDQ4NjEyNDI4NjA5REVEMDI3MzIy
+MjBDRDFDNUJERUVEMDIwAAoJECIM0cW97tAg4pAP/RG07qUQKb7mPjD5M5tHvjLD
+cJmKvIMrl8F5czZHwTcbD6qysjfg+wI6XYs6wF33Me6+Px3gRv/uK7hV+F6KzHCK
+YUf6rZ+TgSN7tZAw1k/aP9fmWvdh9oXzqgh4A8t0Ou6Q3vIy63tg67pKu/b9lu+B
+l8Li5v3dalzO6MufX7zBx0tiF/1VPPN7yGPgrF10wfuyRc7eGdq3SelDkeCDp4JE
+ptN2ypBSoriVnEmSWkj7S/uFUznsA4n4isfoQiaExab33PamynM8ClugrASOBHdQ
+Inh6rvQ2HeG5kWnMk+9Tn+D/uxdeNUFV6nEBtzOCcALRSeSQxOAQefdOqwfqerDV
+G6T1KiOH5yZUqKia6qZywQ7gkioKmVaQ1AofhDXqimpl4+kfsy421QY1YnkP2VvA
+D649iqODHxMgmWnfhx8Dp9b9OAze1Yp6Xt/mL7KMkHJMNrVR1nluRN86RHJ5rK+9
+V6rZbrOCYYofoyDZ+J+h/B8eURu9xxGjy26uTI2wDuuLicO9GEy/ADmH+/2vaRL+
+greYsppuy15rIBGQcd34UNwe0cUCbWAEFe+ORcwcZ8aqHNu/qxd/7erMRF/Z2JYH
+d3xdBeN+9IZC/O+uxGAnT+kieT5yFaKDNPkxurIbxw7Vuv+6yQxb/1QU5ew3pksy
+q/qRhxih63vJZqnO+XKh
+=eZmZ
+-----END PGP SIGNATURE-----
diff --git a/games-engines/openmw/files/openmw-0.33.0-cfg.patch b/games-engines/openmw/files/openmw-0.33.0-cfg.patch
new file mode 100644
index 0000000..42125cb
--- /dev/null
+++ b/games-engines/openmw/files/openmw-0.33.0-cfg.patch
@@ -0,0 +1,14 @@
+From: Julian Ospald <hasufell@gentoo.org>
+Date: Sat Jun 16 00:27:52 UTC 2012
+
+use cmake variable for data location
+
+--- files/openmw.cfg
++++ files/openmw.cfg
+@@ -1,5 +1,6 @@
+ data="?global?data"
+ data="?mw?Data Files"
++data=${MORROWIND_DATA_FILES}
+ data-local="?userdata?data"
+ resources=${OPENMW_RESOURCE_FILES}
+ script-blacklist=Museum
diff --git a/games-engines/openmw/files/openmw-0.33.0-opencs.patch b/games-engines/openmw/files/openmw-0.33.0-opencs.patch
new file mode 100644
index 0000000..5abd7da
--- /dev/null
+++ b/games-engines/openmw/files/openmw-0.33.0-opencs.patch
@@ -0,0 +1,13 @@
+https://bugs.openmw.org/issues/2108
+
+diff --git a/apps/opencs/view/render/cell.hpp b/apps/opencs/view/render/cell.hpp
+index e63e095..67117bf 100644
+--- a/apps/opencs/view/render/cell.hpp
++++ b/apps/opencs/view/render/cell.hpp
+@@ -3,6 +3,7 @@
+
+ #include <string>
+ #include <map>
++#include <memory>
+
+ #include <OgreVector3.h>
diff --git a/games-engines/openmw/metadata.xml b/games-engines/openmw/metadata.xml
new file mode 100644
index 0000000..bd371bf
--- /dev/null
+++ b/games-engines/openmw/metadata.xml
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>hasufell@gentoo.org</email>
+ <name>Julian Ospald</name>
+ </maintainer>
+ <herd>games</herd>
+ <use>
+ <flag name="devtools">Install development tools like
+ bsatool, esmtool and opencs.</flag>
+ <flag name="launcher">Install the launcher for configuring
+ OpenMW.</flag>
+ </use>
+ <upstream>
+ <changelog>https://github.com/OpenMW/openmw/releases</changelog>
+ <doc lang="en">https://wiki.openmw.org</doc>
+ <bugs-to>https://bugs.openmw.org/</bugs-to>
+ <remote-id type="github">OpenMW/openmw</remote-id>
+ </upstream>
+ <longdescription lang="en">
+ OpenMW is a new and modern engine based on the one that runs the 2002
+ open-world RPG Morrowind. The engine (OpenMW) will come with its own
+ editor (OpenCS) which will allow the user to edit or create their own
+ games. Both OpenCS and OpenMW are written from scratch and aren’t
+ made to support any third party programs the original Morrowind
+ engine uses to improve its functionality.
+ </longdescription>
+</pkgmetadata>
+
diff --git a/games-engines/openmw/openmw-0.34.0.ebuild b/games-engines/openmw/openmw-0.34.0.ebuild
new file mode 100644
index 0000000..b18e9a3
--- /dev/null
+++ b/games-engines/openmw/openmw-0.34.0.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/games-engines/openmw/openmw-0.33.0-r2.ebuild,v 1.2 2015/01/22 16:44:16 hasufell Exp $
+
+EAPI=5
+
+inherit eutils gnome2-utils cmake-utils games
+
+DESCRIPTION="An open source reimplementation of TES III: Morrowind"
+HOMEPAGE="http://openmw.org/"
+SRC_URI="https://github.com/OpenMW/openmw/archive/${P}.tar.gz"
+
+LICENSE="GPL-3 MIT BitstreamVera OFL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc devtools +launcher"
+
+# XXX static build
+RDEPEND=">=dev-games/mygui-3.2.1
+ >=dev-games/ogre-1.9.0[freeimage,ois,opengl,zip]
+ >=dev-libs/boost-1.46.0
+ dev-libs/tinyxml
+ >=dev-qt/qtcore-4.7.0:4
+ >=dev-qt/qtgui-4.7.0:4
+ media-libs/freetype:2
+ media-libs/libsdl2[X,video]
+ media-libs/openal
+ >=sci-physics/bullet-2.80
+ virtual/ffmpeg
+ devtools? ( dev-qt/qtxmlpatterns:4 )
+ launcher? ( app-arch/unshield )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen media-gfx/graphviz )"
+
+S=${WORKDIR}/${PN}-${P}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-cfg.patch \
+ "${FILESDIR}"/${P}-opencs.patch
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBINDIR="${GAMES_BINDIR}"
+ $(cmake-utils_use_build devtools BSATOOL)
+ $(cmake-utils_use_build devtools ESMTOOL)
+ $(cmake-utils_use_build launcher LAUNCHER)
+ -DMWINIIMPORTER=ON
+ -DBUILD_MYGUI_PLUGIN=ON
+ $(cmake-utils_use_build devtools OPENCS)
+ -DUNITTESTS=OFF
+ -DDATADIR="${GAMES_DATADIR}"/${PN}
+ -DICONDIR=/usr/share/icons/hicolor/256x256/apps
+ -DLIBDIR="$(games_get_libdir)"
+ -DMORROWIND_DATA_FILES="${GAMES_DATADIR}"/morrowind-data
+ -DOPENMW_RESOURCE_FILES="${GAMES_DATADIR}"/${PN}/resources
+ -DGLOBAL_CONFIG_PATH="${GAMES_SYSCONFDIR}"
+ -DUSE_SYSTEM_TINYXML=ON
+ )
+
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ cmake-utils_src_compile
+
+ if use doc ; then
+ emake -C "${CMAKE_BUILD_DIR}" doc
+ fi
+}
+
+src_install() {
+ cmake-utils_src_install
+ dodoc readme.txt
+
+ # about 46835 files, dodoc seems to have trouble
+ if use doc ; then
+ dodir "/usr/share/doc/${PF}"
+ find "${CMAKE_BUILD_DIR}"/docs/Doxygen/html \
+ -name '*.md5' -type f -delete
+ mv "${CMAKE_BUILD_DIR}"/docs/Doxygen/html \
+ "${D}/usr/share/doc/${PF}/" || die
+ fi
+
+ prepgamesdirs
+}
+
+pkg_preinst() {
+ games_pkg_preinst
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ gnome2_icon_cache_update
+
+ elog "You need the original Morrowind Data files. If you haven't"
+ elog "installed them yet, you can install them straight via the"
+ elog "game launcher (launcher USE flag) which is the officially"
+ elog "supported method."
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/profiles/categories b/profiles/categories
index 73e648a..2435ca8 100644
--- a/profiles/categories
+++ b/profiles/categories
@@ -1,4 +1,5 @@
dev-libs
+games-engines
net-im
sys-fs
sys-kernel